package cn.com.countrygarden.bi.main.service.bii;

import java.util.List;

import cn.com.countrygarden.bi.main.model.bii.BiIncomeMonth;

/**
 * Created by Leo on 2018/6/4
 */
public interface BiIncomeMonthService {
	 /**  
	
	 * <p>zhaolie</p>  	
	 * <p>Description:总体收入累计查询_本月 </p>  
	 * @param bim
	 * @return  List<BiIncomeMonth>
	
	 */  
	public List<BiIncomeMonth> getToMonthIncome(BiIncomeMonth bim);
	
	/**  	
	 * @author zhaolie 房产经营收入查询_月 	
	 * @param bim
	 * @return  	
	 */  
	public List<BiIncomeMonth> getHouAllMonthIncome(BiIncomeMonth bim);
	/**  	
	 * @author zhaolie 居者乐收入查询_月 	
	 * @param bim
	 * @return  	
	 */  
	public List<BiIncomeMonth> getToMonthIncomeJuZheLe(BiIncomeMonth bim);
	/**  	
	 * <p>@author zhaolie 居者乐收入查询_每月 	</p>  	
	 * @param bim
	 * @return  	
	 */  
	public BiIncomeMonth getToMonthIncomeJuZheLeone(BiIncomeMonth bim);
	
	/**  	
	 * <p>@author zhaolie Title: 更新居者乐数据</p>  	
	 * <p>Description: </p>  	
	 * @param bim  	
	 */  
	public void updateToMonthIncomeJuZheLe(BiIncomeMonth bim);
	/**  
	
	 * <p>@author zhaolie 插入居者乐数据</p>  
	
	 * <p>Description: </p>  
	
	 * @param bim  
	
	 */  
	public void insertToMonthIncomeJuZheLe(BiIncomeMonth bim);
	/**  	
	 * <p>@author zhaolie 居者乐调用存储过程</p>  
	 * <p>Description: </p>  
	 */  
	public void getcall();

	/**
	 * 插入居者乐汇总数据
	 *
	 * @Author Geoffrey
	 * @param year 年份
	 * @param month 月份
	 */
	void insertToMonthIncomeHZJuZheLe(int year, int month);
	
 }
